### A free/open-source library for quantitative finance

Classes
ql/pricingengines/vanilla/fdstepconditionengine.hpp File Reference

Finite-differences step-condition engine. More...

`#include <ql/pricingengines/vanilla/fdvanillaengine.hpp>`
`#include <ql/instruments/oneassetoption.hpp>`
`#include <ql/methods/finitedifferences/fdtypedefs.hpp>`
`#include <ql/methods/finitedifferences/boundarycondition.hpp>`
`#include <ql/pricingengines/blackcalculator.hpp>`
Include dependency graph for fdstepconditionengine.hpp:

## Classes

class | FDStepConditionEngine< Scheme >
| Finite-differences pricing engine for American-style vanilla options. More...

## Detailed Description

Finite-differences step-condition engine.